From f027215ef830c6a15262e147942698f383f958b1 Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Sat, 15 Oct 2016 21:03:07 +0100
Subject: [PATCH] Add the start of the client code from arduino repo

---
 PixelHub-Client/WiFiExample.ino               | 115 ++++++++++++++++++
 PixelHub.sln => PixelHub-Server/PixelHub.sln  |   0
 .../PixelHub}/DiscoveryBeacon.cs              |   0
 .../PixelHub}/DiscoveryBeacon.cs.orig         |   0
 .../PixelHub}/ForgetTask.cs                   |   0
 .../PixelHub}/PixelHub.cs                     |   0
 .../PixelHub}/PixelHub.cs.orig                |   0
 .../PixelHub}/PixelHub.csproj                 |   0
 .../PixelHub}/PrefixedWriter.cs               |   0
 .../PixelHub}/Program.cs                      |   0
 .../PixelHub}/Program.cs.orig                 |   0
 .../PixelHub}/Properties/AssemblyInfo.cs      |   0
 .../PixelHub}/Utilities.cs                    |   0
 13 files changed, 115 insertions(+)
 create mode 100755 PixelHub-Client/WiFiExample.ino
 rename PixelHub.sln => PixelHub-Server/PixelHub.sln (100%)
 rename {PixelHub => PixelHub-Server/PixelHub}/DiscoveryBeacon.cs (100%)
 rename {PixelHub => PixelHub-Server/PixelHub}/DiscoveryBeacon.cs.orig (100%)
 rename {PixelHub => PixelHub-Server/PixelHub}/ForgetTask.cs (100%)
 rename {PixelHub => PixelHub-Server/PixelHub}/PixelHub.cs (100%)
 rename {PixelHub => PixelHub-Server/PixelHub}/PixelHub.cs.orig (100%)
 rename {PixelHub => PixelHub-Server/PixelHub}/PixelHub.csproj (100%)
 rename {PixelHub => PixelHub-Server/PixelHub}/PrefixedWriter.cs (100%)
 rename {PixelHub => PixelHub-Server/PixelHub}/Program.cs (100%)
 rename {PixelHub => PixelHub-Server/PixelHub}/Program.cs.orig (100%)
 rename {PixelHub => PixelHub-Server/PixelHub}/Properties/AssemblyInfo.cs (100%)
 rename {PixelHub => PixelHub-Server/PixelHub}/Utilities.cs (100%)

diff --git a/PixelHub-Client/WiFiExample.ino b/PixelHub-Client/WiFiExample.ino
new file mode 100755
index 0000000..0db4a70
--- /dev/null
+++ b/PixelHub-Client/WiFiExample.ino
@@ -0,0 +1,115 @@
+/*
+ 
+ This example connects to an unencrypted Wifi network. 
+ Then it prints the  MAC address of the Wifi shield,
+ the IP address obtained, and other network details.
+
+ Circuit:
+ * WiFi shield attached
+ 
+ created 13 July 2010
+ by dlf (Metodo2 srl)
+ modified 31 May 2012
+ by Tom Igoe
+ */
+ #include <WiFi.h>
+
+char ssid[] = "evenstar-2.4";     //  your network SSID (name) 
+char pass[] = "insertPasswordHere";  // your network password
+int status = WL_IDLE_STATUS;     // the Wifi radio's status
+
+void setup() {
+  //Initialize serial and wait for port to open:
+  Serial.begin(300); 
+  while (!Serial) {
+    ; // wait for serial port to connect. Needed for Leonardo only
+  }
+  
+  // check for the presence of the shield:
+  if (WiFi.status() == WL_NO_SHIELD) {
+    Serial.println("WiFi shield not present"); 
+    // don't continue:
+    while(true);
+  } 
+  
+ // attempt to connect to Wifi network:
+  while ( status != WL_CONNECTED) { 
+    Serial.print("Attempting to connect to WPA SSID: ");
+    Serial.println(ssid);
+    // Connect to WPA/WPA2 network:    
+    status = WiFi.begin(ssid, pass);
+
+    // wait 10 seconds for connection:
+    delay(10000);
+  }
+   
+  // you're connected now, so print out the data:
+  Serial.print("You're connected to the network");
+  printCurrentNet();
+  printWifiData();
+
+}
+
+void loop() {
+  // check the network connection once every 10 seconds:
+  delay(10000);
+  printCurrentNet();
+}
+
+void printWifiData() {
+  // print your WiFi shield's IP address:
+  IPAddress ip = WiFi.localIP();
+    Serial.print("IP Address: ");
+  Serial.println(ip);
+  Serial.println(ip);
+  
+  // print your MAC address:
+  byte mac[6];  
+  WiFi.macAddress(mac);
+  Serial.print("MAC address: ");
+  Serial.print(mac[5],HEX);
+  Serial.print(":");
+  Serial.print(mac[4],HEX);
+  Serial.print(":");
+  Serial.print(mac[3],HEX);
+  Serial.print(":");
+  Serial.print(mac[2],HEX);
+  Serial.print(":");
+  Serial.print(mac[1],HEX);
+  Serial.print(":");
+  Serial.println(mac[0],HEX);
+ 
+}
+
+void printCurrentNet() {
+  // print the SSID of the network you're attached to:
+  Serial.print("SSID: ");
+  Serial.println(WiFi.SSID());
+
+  // print the MAC address of the router you're attached to:
+  byte bssid[6];
+  WiFi.BSSID(bssid);    
+  Serial.print("BSSID: ");
+  Serial.print(bssid[5],HEX);
+  Serial.print(":");
+  Serial.print(bssid[4],HEX);
+  Serial.print(":");
+  Serial.print(bssid[3],HEX);
+  Serial.print(":");
+  Serial.print(bssid[2],HEX);
+  Serial.print(":");
+  Serial.print(bssid[1],HEX);
+  Serial.print(":");
+  Serial.println(bssid[0],HEX);
+
+  // print the received signal strength:
+  long rssi = WiFi.RSSI();
+  Serial.print("signal strength (RSSI):");
+  Serial.println(rssi);
+
+  // print the encryption type:
+  byte encryption = WiFi.encryptionType();
+  Serial.print("Encryption Type:");
+  Serial.println(encryption,HEX);
+  Serial.println();
+}
diff --git a/PixelHub.sln b/PixelHub-Server/PixelHub.sln
similarity index 100%
rename from PixelHub.sln
rename to PixelHub-Server/PixelHub.sln
diff --git a/PixelHub/DiscoveryBeacon.cs b/PixelHub-Server/PixelHub/DiscoveryBeacon.cs
similarity index 100%
rename from PixelHub/DiscoveryBeacon.cs
rename to PixelHub-Server/PixelHub/DiscoveryBeacon.cs
diff --git a/PixelHub/DiscoveryBeacon.cs.orig b/PixelHub-Server/PixelHub/DiscoveryBeacon.cs.orig
similarity index 100%
rename from PixelHub/DiscoveryBeacon.cs.orig
rename to PixelHub-Server/PixelHub/DiscoveryBeacon.cs.orig
diff --git a/PixelHub/ForgetTask.cs b/PixelHub-Server/PixelHub/ForgetTask.cs
similarity index 100%
rename from PixelHub/ForgetTask.cs
rename to PixelHub-Server/PixelHub/ForgetTask.cs
diff --git a/PixelHub/PixelHub.cs b/PixelHub-Server/PixelHub/PixelHub.cs
similarity index 100%
rename from PixelHub/PixelHub.cs
rename to PixelHub-Server/PixelHub/PixelHub.cs
diff --git a/PixelHub/PixelHub.cs.orig b/PixelHub-Server/PixelHub/PixelHub.cs.orig
similarity index 100%
rename from PixelHub/PixelHub.cs.orig
rename to PixelHub-Server/PixelHub/PixelHub.cs.orig
diff --git a/PixelHub/PixelHub.csproj b/PixelHub-Server/PixelHub/PixelHub.csproj
similarity index 100%
rename from PixelHub/PixelHub.csproj
rename to PixelHub-Server/PixelHub/PixelHub.csproj
diff --git a/PixelHub/PrefixedWriter.cs b/PixelHub-Server/PixelHub/PrefixedWriter.cs
similarity index 100%
rename from PixelHub/PrefixedWriter.cs
rename to PixelHub-Server/PixelHub/PrefixedWriter.cs
diff --git a/PixelHub/Program.cs b/PixelHub-Server/PixelHub/Program.cs
similarity index 100%
rename from PixelHub/Program.cs
rename to PixelHub-Server/PixelHub/Program.cs
diff --git a/PixelHub/Program.cs.orig b/PixelHub-Server/PixelHub/Program.cs.orig
similarity index 100%
rename from PixelHub/Program.cs.orig
rename to PixelHub-Server/PixelHub/Program.cs.orig
diff --git a/PixelHub/Properties/AssemblyInfo.cs b/PixelHub-Server/PixelHub/Properties/AssemblyInfo.cs
similarity index 100%
rename from PixelHub/Properties/AssemblyInfo.cs
rename to PixelHub-Server/PixelHub/Properties/AssemblyInfo.cs
diff --git a/PixelHub/Utilities.cs b/PixelHub-Server/PixelHub/Utilities.cs
similarity index 100%
rename from PixelHub/Utilities.cs
rename to PixelHub-Server/PixelHub/Utilities.cs
